<?php

if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

$TCA['tx_agauthors_domain_model_regauthor'] = array(
    'ctrl' => $TCA['tx_agauthors_domain_model_regauthor']['ctrl'],
    'interface' => array(
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, first_name, last_name, profile_pic, description, google_uid, facebook_uid, twitter_uid, website, e_mail',
    ),
    'types' => array(
        '1' => array('showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, first_name, last_name, profile_pic, description, google_uid, facebook_uid, twitter_uid, website, e_mail,--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,starttime, endtime'),
    ),
    'palettes' => array(
        '1' => array('showitem' => ''),
    ),
    'columns' => array(
        'sys_language_uid' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => array(
                'type' => 'select',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => array(
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1),
                    array('LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0)
                ),
            ),
        ),
        'l10n_parent' => array(
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => array(
                'type' => 'select',
                'items' => array(
                    array('', 0),
                ),
                'foreign_table' => 'tx_agauthors_domain_model_regauthor',
                'foreign_table_where' => 'AND tx_agauthors_domain_model_regauthor.pid=###CURRENT_PID### AND tx_agauthors_domain_model_regauthor.sys_language_uid IN (-1,0)',
            ),
        ),
        'l10n_diffsource' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        't3ver_label' => array(
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            )
        ),
        'hidden' => array(
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => array(
                'type' => 'check',
            ),
        ),
        'starttime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'endtime' => array(
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => array(
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => array(
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
                ),
            ),
        ),
        'first_name' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.first_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim,required'
            ),
        ),
        'last_name' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.last_name',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim,required'
            ),
        ),
        'profile_pic' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.profile_pic',
            'config' => array(
                'type' => 'group',
                'internal_type' => 'file',
                'uploadfolder' => 'uploads/tx_agauthors',
                'show_thumbs' => 1,
                'size' => 5,
                'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
                'disallowed' => '',
            ),
        ),
        'description' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.description',
            'config' => array(
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ),
        ),
        'google_uid' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.google_uid',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'facebook_uid' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.facebook_uid',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'twitter_uid' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.twitter_uid',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
        'e_mail' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.e_mail',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim,required'
            ),
        ),
        'website' => array(
            'exclude' => 0,
            'label' => 'LLL:EXT:agauthors/Resources/Private/Language/locallang_db.xlf:tx_agauthors_domain_model_regauthor.website',
            'config' => array(
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ),
        ),
    ),
);

## EXTENSION BUILDER DEFAULTS END TOKEN - Everything BEFORE this line is overwritten with the defaults of the extension builder
?>